function Car(image, make, model, description, price, category, year, mileage, extras) {
    this.image = image;
    this.make = make;
    this.model = model;
    this.description = description;
    this.price = price;
    this.category = category;
    this.year = year;
    this.mileage = mileage;
    this.extras = extras;
}

Car.prototype.generateImage = function(elt) {
    let img = document.createElement('img');

    img.setAttribute('src',this.image);
    img.setAttribute('alt',this.make+this.model);
    img.classList.add('card-img-top');

    elt.appendChild(img);
}

Car.prototype.generateExtras = function(elt) {
    let liste = document.createElement('ul');

    this.extras.forEach(ext => {
        let element = document.createElement('li');
        element.textContent = ext.name+""+ext.price;
        liste.appendChild(element);
    });

    elt.appendChild(liste);
}

